.p4p_progress {
  display: inline-block;
  position: relative;
  max-width: 100%;
  width: 100%;
  height: 30px;
  border-radius: 1em;
  overflow: hidden;
  background-color: #ccc;
  background-image: linear-gradient(1deg, #eeeeee 2%, #c3c3c3 100%);
  padding-right: 2px;
  border: solid 1px #ccc;
  vertical-align: middle;

  .bar {
    border-radius: 1em;
    position: absolute;
    top: 2px;
    left: 2px;
    bottom: 2px;
    background-color: #add200;
    background-image: linear-gradient(180deg,
        rgba(255, 255, 255, 0) 20%,
        rgba(0, 0, 0, 0.12) 100%);

    &.bad {
      background-color: #fa6400;
    }

    &.ok {
      color: #3b1a04;
      background-color: #f7b500;
    }

    &.excellent {
      background-color: #94b500;
    }
  }

  .label {
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    min-width: 3em;
    text-align: center;
    color: white;
    font-size: 0.75em;
    line-height: 28px;
    text-shadow: 0 0.125em 0.125em rgba(0, 0, 0, 0.5);
  }
}

@media screen and (min-width: 768px) {
  .p4p_progress {}
}